=== debian/changelog ===
mongodb (1:2.0.0-2~bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze
  * Update scons build-dependency to >= 2.1 (backported as well)
  * Remove gcc 4.6 specific "no-error" flag, which breaks on gcc 4.4

 -- Guido Trotter <ultrotter@debian.org>  Fri, 14 Oct 2011 16:16:19 +0100

mongodb (1:2.0.0-2) unstable; urgency=low

  * need to reupload package to get it build on i386 which failed because of
    cdbs error

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 25 Sep 2011 20:22:08 +0200

mongodb (1:2.0.0-1) unstable; urgency=low

  * New upstream release 2.0.0 (Closes: #641646)
    http://blog.mongodb.org/post/10126837729/mongodb-2-0-released
  * proper Spider Monkey is embedded (Closes: #637370, #572870, #631054)
  * currently linking against system libpcre3

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 14 Sep 2011 17:09:16 +0200

mongodb (1:1.8.3-1) unstable; urgency=low

  * New upstream release 1.8.3
    https://jira.mongodb.org/browse/SERVER/fixforversion/10390

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 23 Aug 2011 08:48:57 +0200

mongodb (1:1.8.2-2) unstable; urgency=low

  * [2e1c3ff] (Closes: #625401) ignore unused-but-set-{variable,parameter}
  * [0e9611d] (Closes: #572870, #631054) switch to v8 as javascript engine
  * [bbf5935] (Closes: #634484) use dbpath and logpath from config file
    not forcing in init.d
  * [bf8d466] update description
  * [cbe2d99] Imported Upstream version 1.8.3

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 23 Aug 2011 08:48:17 +0200
