=== debian/changelog ===
mongodb (1:2.0.2-4ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Mark mongodb-{server,client,dev} as replacing mongodb to be able to
      upgrade from Lucid
    - Add upstart job:
      - add debian/mongodb-server.mongodb.upstart

 -- Jani Monoses <jani@ubuntu.com>  Thu, 09 Feb 2012 13:33:14 +0200

mongodb (1:2.0.2-4) unstable; urgency=low

  * Move socket from /tmp to /var/run/mongodb (Closes: #658177)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 01 Feb 2012 14:53:12 +0100

mongodb (1:2.0.2-3) unstable; urgency=low

  * Describe jsonArray option for mongoimport in manpage (Closes: 656444)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 19 Jan 2012 14:11:14 +0100

mongodb (1:2.0.2-2) unstable; urgency=low

  * added logrotate for mongodb-server (Closes: #656065)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 16 Jan 2012 10:46:36 +0100

mongodb (1:2.0.2-1) unstable; urgency=low

  * New upstream release 2.0.2
    https://jira.mongodb.org/browse/SERVER/fixforversion/10991

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 15 Dec 2011 11:26:24 +0100
