=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>, Jérémy Lal <kapouer@melix.org>
-Build-Depends: debhelper (>= 7), cdbs (>= 0.4.73~), libpcre3, libpcre3-dev, scons (>= 2.1), libreadline-dev, libboost-dev, libboost-thread-dev, libboost-filesystem-dev, libboost-program-options-dev, libboost-date-time-dev, python-pymongo
+Build-Depends: debhelper (>= 7), cdbs (>= 0.4.73~), libpcre3, libpcre3-dev, scons, libreadline-dev, libboost-dev, libboost-thread-dev, libboost-filesystem-dev, libboost-program-options-dev, libboost-date-time-dev, python-pymongo
 Standards-Version: 3.9.2
 Vcs-Git: git://github.com/bobek/mongo-debian.git
 Vcs-Browser: https://github.com/bobek/mongo-debian
@@ -35,6 +35,7 @@
 Package: mongodb-server
 Architecture: i386 amd64
 Depends: mongodb-clients, ${shlibs:Depends}, ${misc:Depends}, adduser
+Replaces: mongodb (<= 1:1.4.2-2)
 Description: object/document-oriented database (server package)
  MongoDB is a high-performance, open source, schema-free
  document-oriented  data store that's easy to deploy, manage
@@ -58,6 +59,7 @@
 Package: mongodb-clients
 Architecture: i386 amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: mongodb (<= 1:1.4.2-2)
 Description: object/document-oriented database (client apps)
  MongoDB is a high-performance, open source, schema-free
  document-oriented  data store that's easy to deploy, manage
@@ -82,6 +84,7 @@
 Section: libdevel
 Architecture: i386 amd64
 Depends: mongodb-server, libboost-dev, ${shlibs:Depends}, ${misc:Depends}
+Replaces: mongodb (<= 1:1.4.2-2)
 Description: object/document-oriented database (development)
  MongoDB is a high-performance, open source, schema-free
  document-oriented  data store that's easy to deploy, manage
