## mongodb 2.0.3

=== SConstruct ===
--- 
+++ 
@@ -25,6 +25,17 @@
 import stat
 from buildscripts import utils
 
+
+def _rpartition(string, sep):
+    """A replacement for str.rpartition which is missing in Python < 2.5
+    """
+    idx = string.rfind(sep)
+    if idx == -1:
+        return '', '', string
+    return string[:idx], sep, string[idx + 1:]
+
+
+
 buildscripts.bb.checkOk()
 
 def findSettingsSetup():
@@ -38,7 +49,7 @@
         if not x.endswith( ".py" ) or x.find( "#" ) >= 0:
             continue
          
-        lst.append( x.rpartition( "." )[0] )
+        lst.append( _rpartition( x, "." )[0] )
     return lst
 
 
@@ -334,6 +345,7 @@
         self.clientTestsDir = "client/examples/"
         
 installSetup = InstallSetup()
+env["installSetup"] = installSetup
 if distBuild:
     installSetup.bannerDir = "distsrc"
 
@@ -358,6 +370,3 @@
 
 coreDbFiles = [ "db/commands.cpp" ]
 coreServerFiles = [ "util/net/message_server_port.cpp" , 
-                    "client/parallel.cpp" , "db/common.cpp", 
-                    "util/net/miniwebserver.cpp" , "db/dbwebserver.cpp" , 
-                    "db/matcher.cpp" , "db/dbcommands_generic.cpp" , "db/dbmessage.cpp",
