=== debian/changelog ===
mongodb (1:2.0.3-2) unstable; urgency=low

  * Enable journaling by default (Closes:#664080)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 15 Mar 2012 16:48:06 +0100

mongodb (1:2.0.3-1) unstable; urgency=low

  * New upstream release 2.0.2
    https://jira.mongodb.org/browse/SERVER/fixforversion/11001
  * added debian/copat
  * added Replaces clause from Ubuntu patch

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 01 Mar 2012 14:14:34 +0100

mongodb (1:2.0.2-5) unstable; urgency=low

  * Allow parallel build, patch courtesy of Andre Ferraz
    <deferraz@terra.com.br> (Closes:#646759)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 16 Feb 2012 10:25:06 +0100
