## mongodb 2.0.4

=== debian/changelog ===
mongodb (1:2.0.4-1ubuntu2.1) precise-security; urgency=low

  * SECURITY UPDATE: Remote code execution vulnerability in Spidermonkey
    JavaScript engine (LP: #1160893).
    - d/p/CVE-2013-1892.1.patch: Avoid raw pointers for SM's nativeHelper.
      Cherry picked from upstream VCS.
    - d/p/CVE-2013-1892.2.patch: Cast id to double before converting to
      JS. Cherry picked from upstream VCS.
    - https://jira.mongodb.org/browse/SERVER-9124
    - CVE-2013-1892

 -- James Page <james.page@ubuntu.com>  Thu, 28 Mar 2013 10:04:28 +0000

mongodb (1:2.0.4-1ubuntu2) precise; urgency=low

  * debian/control: enable armhf and armel builds.
  * debian/patches/0009-arm-support.patch: Signedness and alignment
    fixes to make the smoketest pass on ARM.

 -- Jani Monoses <jani@ubuntu.com>  Wed, 04 Apr 2012 12:49:34 +0300

mongodb (1:2.0.4-1ubuntu1) precise; urgency=low

  * Merge bugfix release from Debian unstable, remaining change:
    - add debian/mongodb-server.mongodb.upstart

 -- Jani Monoses <jani@ubuntu.com>  Tue, 03 Apr 2012 21:38:06 +0300

mongodb (1:2.0.4-1) unstable; urgency=low

  * New upstream release 2.0.4
    https://jira.mongodb.org/browse/SERVER/fixforversion/11107

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 30 Mar 2012 21:41:35 +0200
