=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mongodb
 Section: database
 Priority: optional
-Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>, Jérémy Lal <kapouer@melix.org>
 Build-Depends: debhelper (>= 7), cdbs (>= 0.4.73~), libpcre3, libpcre3-dev, scons, libreadline-dev, libboost-dev, libboost-thread-dev, libboost-filesystem-dev, libboost-program-options-dev, libboost-date-time-dev, python-pymongo
 Standards-Version: 3.9.3
@@ -10,7 +11,7 @@
 Homepage: http://www.mongodb.org
 
 Package: mongodb
-Architecture: i386 amd64
+Architecture: i386 amd64 armel armhf
 Depends: mongodb-server, mongodb-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: object/document-oriented database (metapackage)
  MongoDB is a high-performance, open source, schema-free
@@ -33,7 +34,7 @@
  This is a metapackage that depends on all the mongodb parts.
 
 Package: mongodb-server
-Architecture: i386 amd64
+Architecture: i386 amd64 armel armhf
 Depends: mongodb-clients, ${shlibs:Depends}, ${misc:Depends}, adduser
 Replaces: mongodb (<= 1:1.4.2-2)
 Description: object/document-oriented database (server package)
@@ -57,7 +58,7 @@
  This package contains the server itself.
 
 Package: mongodb-clients
-Architecture: i386 amd64
+Architecture: i386 amd64 armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: mongodb (<= 1:1.4.2-2)
 Description: object/document-oriented database (client apps)
@@ -82,7 +83,7 @@
 
 Package: mongodb-dev
 Section: libdevel
-Architecture: i386 amd64
+Architecture: i386 amd64 armel armhf
 Depends: mongodb-server, libboost-dev, ${shlibs:Depends}, ${misc:Depends}
 Replaces: mongodb (<= 1:1.4.2-2)
 Description: object/document-oriented database (development)
