=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,16 @@
 
 DEB_DH_INSTALLINIT_ARGS = --name=mongodb
 
-DEB_SCONS_OPTIONS := 
+DEB_SCONS_OPTIONS :=
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	DEB_SCONS_OPTIONS := --d=DEBUGBUILD
 endif
 ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	DEB_SCONS_OPTIONS := --d=DEBUGBUILD
+endif
+ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
+       PROCS=$(subst parallel=,,$(DEB_BUILD_OPTIONS))
+       DEB_SCONS_OPTIONS += -j$(PROCS)
 endif
 
 DEB_SCONS_BUILD_TARGET = all
