## mongodb 2.0.6

=== debian/changelog ===
mongodb (1:2.0.6-1ubuntu4) quantal; urgency=low

  * Disable armel, on *all* packages, because of 1019098.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 04 Jul 2012 09:30:51 +0100

mongodb (1:2.0.6-1ubuntu3) quantal; urgency=low

  * Disable armel, because of 1019098.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 04 Jul 2012 08:56:40 +0100

mongodb (1:2.0.6-1ubuntu2) quantal; urgency=low

  * Disable test-suite on arm-any, because smoketest fails.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 26 Jun 2012 23:50:10 +0100

mongodb (1:2.0.6-1ubuntu1) quantal-proposed; urgency=low

  * Merge from debian unstable (LP: #1017685), remaining changes:
    - debian/control: enable armhf and armel builds.
    - debian/patches/0009-arm-support.patch: Signedness and alignment
    fixes to make the smoketest pass on ARM.
    - add debian/mongodb-server.mongodb.upstart

  * Part of boost1.49 transition
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 26 Jun 2012 23:50:10 +0100

mongodb (1:2.0.6-1) unstable; urgency=low

  * New upstream release 2.0.6
    https://jira.mongodb.org/browse/SERVER/fixforversion/11165

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 05 Jun 2012 19:52:28 +0200

mongodb (1:2.0.5-2) unstable; urgency=low

  * Removed mongodb-server as dependency of mongodb-dev (Closes:#672634)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 27 May 2012 13:00:38 +0200

mongodb (1:2.0.5-1) unstable; urgency=low

  * New upstream release 2.0.5
    https://jira.mongodb.org/browse/SERVER/fixforversion/11137

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 10 May 2012 07:05:43 +0200
