=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Homepage: http://www.mongodb.org
 
 Package: mongodb
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armhf
 Depends: mongodb-server, mongodb-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: object/document-oriented database (metapackage)
  MongoDB is a high-performance, open source, schema-free
@@ -26,7 +26,7 @@
     * Replication and fail-over support
     * Efficient storage of binary data including large
       objects (e.g. videos)
-    * Auto-sharding for cloud-level scalability (Q209)
+    * Auto-sharding for cloud-level scalability
  .
  High performance, scalability, and reasonable depth of
  functionality are the goals for the project.
@@ -34,7 +34,7 @@
  This is a metapackage that depends on all the mongodb parts.
 
 Package: mongodb-server
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armhf
 Depends: mongodb-clients, ${shlibs:Depends}, ${misc:Depends}, adduser
 Replaces: mongodb (<= 1:1.4.2-2)
 Description: object/document-oriented database (server package)
@@ -50,7 +50,7 @@
     * Replication and fail-over support
     * Efficient storage of binary data including large
       objects (e.g. videos)
-    * Auto-sharding for cloud-level scalability (Q209)
+    * Auto-sharding for cloud-level scalability
  .
  High performance, scalability, and reasonable depth of
  functionality are the goals for the project.
@@ -58,7 +58,7 @@
  This package contains the server itself.
 
 Package: mongodb-clients
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: mongodb (<= 1:1.4.2-2)
 Description: object/document-oriented database (client apps)
@@ -74,7 +74,7 @@
     * Replication and fail-over support
     * Efficient storage of binary data including large
       objects (e.g. videos)
-    * Auto-sharding for cloud-level scalability (Q209)
+    * Auto-sharding for cloud-level scalability
  .
  High performance, scalability, and reasonable depth of
  functionality are the goals for the project.
@@ -83,8 +83,9 @@
 
 Package: mongodb-dev
 Section: libdevel
-Architecture: i386 amd64 armel armhf
-Depends: mongodb-server, libboost-dev, ${shlibs:Depends}, ${misc:Depends}
+Architecture: i386 amd64 armhf
+Depends: libboost-dev, ${shlibs:Depends}, ${misc:Depends}
+Suggests: mongodb-server
 Replaces: mongodb (<= 1:1.4.2-2)
 Description: object/document-oriented database (development)
  MongoDB is a high-performance, open source, schema-free
@@ -99,7 +100,7 @@
     * Replication and fail-over support
     * Efficient storage of binary data including large
       objects (e.g. videos)
-    * Auto-sharding for cloud-level scalability (Q209)
+    * Auto-sharding for cloud-level scalability
  .
  High performance, scalability, and reasonable depth of
  functionality are the goals for the project.
