## mongodb 2.2.3

=== debian/changelog ===
mongodb (1:2.2.3-0ubuntu1) raring; urgency=low

  * Re-sync with Debian unstable:
    - d/control: Enable armhf architecture.
    - d/mongodb-server.mongodb.upstart: Add upstart configuration.
    - d/rules: Disable smoke tests on arm architectures.
  * New upstream release (LP: #1079119).
    - d/p/SConscript.client.patch: fixup install of client libraries.
    - d/p/0001-install-libs-to-usr-lib-not-usr-lib64-Closes-588557.patch:
      Install libraries to lib not lib64.
    - d/p/arm-support.patch: Re-enable support for ARM architecture. Thanks
      to Jon Masters for this patch.
  * Switch to using distro provided libraries and tcmalloc for improved
    memory allocation performance:
    - d/control: Added BD's on libgoogle-perftools-dev, libsnappy-dev.
    - d/rules: use system libraries (aside from spidermonkey), use tcmalloc
      for memory allocation on x86 archs.
  * d/mongodb-server.mongodb.upstart: General tidy, ensure that MongoDB stops
    on runlevel 1 (LP: #820689).
  * d/*.lintian-overrides: Dropped - no longer required.
  * d/rules: Stop stripping binaries as part of build process so that ddebs
    are produced for Ubuntu.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Mar 2013 20:42:16 +0000

mongodb (1:2.2.2-1) unstable; urgency=low

  * New upstream release 2.2.2
    https://jira.mongodb.org/browse/SERVER/fixforversion/11886

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 28 Nov 2012 09:34:58 +0100

mongodb (1:2.2.0-1) unstable; urgency=low

  * New upstream release 2.2.0
    http://jira.mongodb.org/browse/SERVER/fixforversion/11496
    http://blog.mongodb.org/post/30451575525/mongodb-2-2-released

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 29 Aug 2012 21:06:20 +0200

mongodb (1:2.0.7-1) unstable; urgency=low

  * New upstream release 2.0.7
    https://jira.mongodb.org/browse/SERVER/fixforversion/11201

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 10 Aug 2012 14:58:19 +0200
