=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# examination of the downloads page content as the directory listing is not allowed anymore
# Forced regexp to match only to the current stable release
http://www.mongodb.org/display/DOCS/Downloads \
  http://.*mongodb\.org/src/mongodb-src-r(2\.2[\d\.]+)\.tar\.gz
