## mongodb 2.2.4~rc0

=== debian/changelog ===
mongodb (1:2.2.4~rc0-0ubuntu1) raring; urgency=low

  * New upstream bugfix release:
    - Includes fix for JavaScript remote code execution security
      issue (LP: #1160893).
      CVE-2013-1892

 -- James Page <james.page@ubuntu.com>  Thu, 28 Mar 2013 09:13:20 +0000

mongodb (1:2.2.3-0ubuntu4) raring; urgency=low

  * Enable SSL support:
    - d/control: Add libssl-dev to BD's.
    - d/mongodb.conf: Add example SSL configuration options.

 -- James Page <james.page@ubuntu.com>  Wed, 27 Mar 2013 10:50:37 +0000

mongodb (1:2.2.3-0ubuntu3) raring; urgency=low

  * d/p/double-alignment.patch: add another double alignment correction
    case.
  * d/rules: re-enable smoke tests on armhf.

 -- Robie Basak <robie.basak@canonical.com>  Wed, 20 Mar 2013 13:36:51 -0400

mongodb (1:2.2.3-0ubuntu2) raring; urgency=low

  [ Robie Basak ]
  * Fix support for ARM:
    - d/p/arm-support.patch: fix atomic operation semantics bugs.
    - d/p/double-alignment.patch: workaround for unaligned double accesses
      on ARM causing SIGBUS.
  * d/rules: fix parallel build parsing in DEB_BUILD_OPTIONS.

  [ James Page ]
  * d/watch: Update version match to look for all releases.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2013 10:18:36 +0000
